Debian Bug report logs - #336166
awstats.pl does not take the server timezone into account

version graph

Package: awstats; Maintainer for awstats is Sergey B Kirpichev <skirpichev@gmail.com>; Source for awstats is src:awstats.

Reported by: Vincent Lefevre <vincent@vinc17.org>

Date: Fri, 28 Oct 2005 09:48:02 UTC

Severity: wishlist

Tags: upstream

Found in version awstats/6.4-2

Forwarded to http://sourceforge.net/tracker/?func=detail&aid=3015820&group_id=13764&atid=363764

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#336166; Package awstats. Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
New Bug report received and forwarded. Copy sent to Jonas Smedegaard <dr@jones.dk>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: awstats.pl does not take the server timezone into account
Date: Fri, 28 Oct 2005 11:32:59 +0200
Package: awstats
Version: 6.4-2
Severity: normal

/usr/lib/cgi-bin/awstats.pl line 4942 contains \\[([^ ]+) [^ ]+\\]
corresponding to the date field (for LogFormat 4). Thus the server
timezone, matched by the second [^ ]+, is not taken into account.
This is an error because the server may be a remote machine in a
different country, with a timezone different from the one the user
wants (e.g. where he lives, or possibly UTC time if the page is to
be viewed by anyone in the world).

Note: applying a fixed difference as some log analyzers do is also
wrong, since the country may have different DST rules.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.13.4-20051012
Locale: LANG=POSIX, LC_CTYPE=en_US.ISO8859-1 (charmap=ISO-8859-1)

Versions of packages awstats depends on:
ii  perl [libstorable-perl]       5.8.7-7    Larry Wall's Practical Extraction 

Versions of packages awstats recommends:
ii  libnet-xwhois-perl            0.90-1     Whois Client Interface for Perl5

-- no debconf information



Reply sent to Charles Fry <debian@frogcircus.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 336166-done@bugs.debian.org (full text, mbox):

From: Charles Fry <debian@frogcircus.org>
To: Vincent Lefevre <vincent@vinc17.org>, 336166-done@bugs.debian.org
Subject: Re: Bug#336166: awstats.pl does not take the server timezone into account
Date: Sat, 29 Oct 2005 00:03:28 -0400
[Message part 1 (text/plain, inline)]
> /usr/lib/cgi-bin/awstats.pl line 4942 contains \\[([^ ]+) [^ ]+\\]
> corresponding to the date field (for LogFormat 4). Thus the server
> timezone, matched by the second [^ ]+, is not taken into account.
> This is an error because the server may be a remote machine in a
> different country, with a timezone different from the one the user
> wants (e.g. where he lives, or possibly UTC time if the page is to
> be viewed by anyone in the world).
> 
> Note: applying a fixed difference as some log analyzers do is also
> wrong, since the country may have different DST rules.

Hi Vincent,

Thank you for taking the time to provide us with feedback on awstats.

If you look at awstats bug #226718:

   http://sourceforge.net/tracker/index.php?func=detail&aid=226718&group_id=13764&atid=113764

you will see that the upstream author voluntarily ignores the timestamp.

That said, there is a timezone plugin in
/usr/share/awstats/plugins/timezone.pm that as far as I can tell (having
never used it) should deal with your problem.

If not, please feel free to reopen this bug and we can pursue other
alternatives. :-)

Charles

-- 
Baby your skin
Keep it fitter
Or "baby"
Will get
Another sitter
Burma-Shave
http://burma-shave.org/jingles/1959/baby_your_skin
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#336166; Package awstats. Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. Full text and rfc822 format available.

Message #15 received at 336166@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: Charles Fry <debian@frogcircus.org>
Cc: 336166@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#336166: awstats.pl does not take the server timezone into account
Date: Sat, 29 Oct 2005 02:40:44 +0200
reopen 336166
thanks

On 2005-10-29 00:03:28 -0400, Charles Fry wrote:
> If you look at awstats bug #226718:
> 
>    http://sourceforge.net/tracker/index.php?func=detail&aid=226718&group_id=13764&atid=113764
> 
> you will see that the upstream author voluntarily ignores the timestamp.

Probably because in general, the server is in the same timezone as the
user. But he doesn't say anything about a possible configuration option
to use a different timezone.

> That said, there is a timezone plugin in
> /usr/share/awstats/plugins/timezone.pm that as far as I can tell (having
> never used it) should deal with your problem.

This timezone seems to assume that the time in the log files is the
UTC time (this is also what the doc says). This is not the case with
Apache. Apache writes timezone information after the date (sign + 4
digits), but this information isn't read by awstats, whether the
timezone plugin is used or not.

Also, the method used by the timezone plugin is quite inefficient,
in particular when the user wants a fixed timezone (such as UTC).
But this point isn't much a problem IMHO.

-- 
Vincent Lefèvre <vincent@vinc17.org> - Web: <http://www.vinc17.org/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.org/blog/>
Work: CR INRIA - computer arithmetic / SPACES project at LORIA



Bug reopened, originator not changed. Request was from Vincent Lefevre <vincent@vinc17.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#336166; Package awstats. Full text and rfc822 format available.

Acknowledgement sent to Charles Fry <debian@frogcircus.org>:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. Full text and rfc822 format available.

Message #22 received at 336166@bugs.debian.org (full text, mbox):

From: Charles Fry <debian@frogcircus.org>
To: Vincent Lefevre <vincent@vinc17.org>
Cc: 336166@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#336166: awstats.pl does not take the server timezone into account
Date: Fri, 28 Oct 2005 22:27:51 -0400
[Message part 1 (text/plain, inline)]
forwarded 336166 http://sourceforge.net/tracker/index.php?func=detail&aid=1341276&group_id=13764&atid=363764
severity 336166 wishlist
thanks

> This timezone seems to assume that the time in the log files is the
> UTC time (this is also what the doc says). This is not the case with
> Apache. Apache writes timezone information after the date (sign + 4
> digits), but this information isn't read by awstats, whether the
> timezone plugin is used or not.

All right, passing this upstream. Thanks for the report.

Charles

-- 
When the stork
Delivers a boy
Our whole
Darn factory
Jumps for joy
Burma-Shave
http://burma-shave.org/jingles/1963/when_the_stork
[signature.asc (application/pgp-signature, inline)]

Noted your statement that Bug has been forwarded to http://sourceforge.net/tracker/index.php?func=detail&aid=1341276&group_id=13764&atid=363764. Request was from Charles Fry <debian@frogcircus.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist'. Request was from Charles Fry <debian@frogcircus.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>:
Bug#336166; Package awstats. Full text and rfc822 format available.

Acknowledgement sent to Charles Fry <cfry@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #31 received at 336166@bugs.debian.org (full text, mbox):

From: Charles Fry <cfry@debian.org>
To: 336166@bugs.debian.org
Subject: closed upstream
Date: Sun, 6 Aug 2006 01:29:11 -0400
[Message part 1 (text/plain, inline)]
Hi,

This bug was closed upstream. I don't feel that I understand the nuances
of what you need enough to argue for it. If you are still concerned with
this, would you mind explaining yourself on the upstream bug at:

   http://sourceforge.net/tracker/index.php?func=detail&aid=1341276&group_id=13764&atid=363764

thanks,
Charles

-- 
Holler!
Half a pound
For half a dollar
Isn't that
A cheerful earful?
Burma-Shave
http://burma-shave.org/jingles/1937/holler
[signature.asc (application/pgp-signature, inline)]

Tags added: fixed-upstream Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Charles Fry <cfry@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #38 received at 336166-close@bugs.debian.org (full text, mbox):

From: Charles Fry <cfry@debian.org>
To: 336166-close@bugs.debian.org
Subject: closed upstream
Date: Sat, 13 Jan 2007 12:50:11 -0500
[Message part 1 (text/plain, inline)]
I am closing this bug since it was closed upstream. You can find the
upstream bug report at:

   http://sourceforge.net/tracker/index.php?func=detail&aid=1341276&group_id=13764&atid=363764

Feel free to reopen it if you disagree with the resolution.

Charles

-- 
Highways are
No place
To sleep
Stop your car
To count your sheep
Burma-Shave
http://burma-shave.org/jingles/1948/highways_are
[signature.asc (application/pgp-signature, inline)]

Bug reopened, originator not changed. Request was from Vincent Lefevre <vincent@vinc17.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Vincent Lefevre <vincent@vinc17.org>:
Bug#336166. Full text and rfc822 format available.

Message #43 received at 336166-submitter@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: 336166-submitter@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#336166 closed by Charles Fry <cfry@debian.org> (closed upstream)
Date: Sun, 14 Jan 2007 00:15:37 +0100
reopen 336166
thanks

On 2007-01-13 10:05:09 -0800, Debian Bug Tracking System wrote:
> I am closing this bug since it was closed upstream. You can find the
> upstream bug report at:
> 
>    http://sourceforge.net/tracker/index.php?func=detail&aid=1341276&group_id=13764&atid=363764

I didn't see the bug report upstream before today. Please use
336166-submitter instead of 336166.

> Feel free to reopen it if you disagree with the resolution.

I've added a comment on the upstream bug report. The wishlist is still
valid, unless there is a way to do, not described in the documentation
(in which case this lack of documentation is also a bug anyway).

-- 
Vincent Lefèvre <vincent@vinc17.org> - Web: <http://www.vinc17.org/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.org/blog/>
Work: CR INRIA - computer arithmetic / Arenaire project (LIP, ENS-Lyon)



Removed tag(s) fixed-upstream. Request was from sk@darkstar.order.hcn-strela.ru (Sergey B Kirpichev) to control@bugs.debian.org. (Mon, 14 Jun 2010 09:45:14 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'http://sourceforge.net/tracker/?func=detail&aid=3015820&group_id=13764&atid=363764' from 'http://sourceforge.net/tracker/index.php?func=detail&aid=1341276&group_id=13764&atid=363764' Request was from sk@darkstar.order.hcn-strela.ru (Sergey B Kirpichev) to control@bugs.debian.org. (Mon, 14 Jun 2010 09:45:14 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Sergey B Kirpichev <skirpichev@gmail.com> to control@bugs.debian.org. (Mon, 23 Jan 2012 13:42:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:28:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.